#ifndef XSTRING_H_DEFINED
#define XSTRING_H_DEFINED

#if defined(HAVE_STRING_H)
#include <string.h>
#endif

#if defined(HAVE_MEMORY_H)
#include <memory.h>
#endif

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

#if !defined(HAVE_MEMSET_DECLARATION)
extern void *memset ARGS((VOIDP, int, size_t));
#endif

#if !defined(HAVE_STRCAT_DECLARATION)
extern char *strcat ARGS((char *, const char *));
#endif

#if !defined(HAVE_STRCHR_DECLARATION)
extern char *strchr ARGS((const char *, int));
#endif

#if !defined(HAVE_STRCPY_DECLARATION)
extern char *strcpy ARGS((char *, const char *));
#endif

#if !defined(HAVE_STRNCPY_DECLARATION)
extern char *strncpy ARGS((char *, const char *, size_t));
#endif

#if !defined(HAVE_STRRCHR_DECLARATION)
extern char *strrchr ARGS((const char *, int));
#endif

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif /* XSTRING_H_DEFINED */
