#ifndef XSIGNAL_H_DEFINED
#define XSIGNAL_H_DEFINED

#if defined(HAVE_SIGNAL_H)
#include <signal.h>
#endif

#if !defined(SIGQUIT)
#define SIGQUIT SIGINT
#endif

#ifndef SIGTSTP
#define SIGTSTP 18
#endif

#if !defined(SIG_PF) && !defined(HAVE_SIG_PF_TYPEDEF)
#define SIG_PF RETSIGTYPE(*) ARGS((int))
#endif

#define SIGNAL(sig,fun)	signal((sig),(SIG_PF)(fun))

#endif /* XSIGNAL_H_DEFINED */
